Show: Inherited Protected Private Deprecated

# ButtonTableEdit Class

Defined in: `src/ui/react/src/components/buttons/button-table-edit.jsx:7`

The ButtonTableEdit class provides functionality for creating and editing a table in a document. Provides UI for creating a table.

## Index

### Methods

- _createTable
- _handleChange
- _handleKeyDown
- componentDidMount
- getDefaultProps
- getInitialState
- render

### Properties

- cancelExclusive
- editor
- key static

## Methods

### `_createTable`

() protected

Defined in `src/ui/react/src/components/buttons/button-table-edit.jsx:84`

Creates a table.

### `_handleChange`

(

- `inputName`
- `event`

)
protected

Defined in `src/ui/react/src/components/buttons/button-table-edit.jsx:105`

Handles a change in input value. Sets the provided value from the user back to the input.

#### Parameters:

- `inputName` String

  The name of the input which value should be updated.

- `event` SyntheticEvent

  The provided event.

### `_handleKeyDown`

(

- `event`

)
protected

Defined in `src/ui/react/src/components/buttons/button-table-edit.jsx:120`

Monitors key interaction inside the input element to respond to the keys:

- Enter: Creates the table.
- Escape: Discards the changes.

#### Parameters:

- `event` SyntheticEvent

  The keyboard event.

### `componentDidMount`

()

Defined in `src/ui/react/src/components/buttons/button-table-edit.jsx:60`

Lifecycle. Invoked once, only on the client (not on the server), immediately after the initial rendering occurs.

Focuses on the link input to immediately allow editing.

### `getDefaultProps`

()

Defined in `src/ui/react/src/components/buttons/button-table-edit.jsx:44`

Lifecycle. Returns the default values of the properties used in the widget.

### `getInitialState`

()

Defined in `src/ui/react/src/components/buttons/button-table-edit.jsx:72`

Lifecycle. Invoked once before the component is mounted.

### `render`

() Object

Defined in `src/ui/react/src/components/buttons/button-table-edit.jsx:141`

Lifecycle. Renders the UI of the button.

#### Returns:

Object:

The content which should be rendered.

## Properties

### `cancelExclusive`

Function

Defined in `src/ui/react/src/components/buttons/button-table-edit.jsx:17`

Method to notify the button abandons the exclusive rendering mode.

### `editor`

Object

Defined in `src/ui/react/src/components/buttons/button-table-edit.jsx:24`

The editor instance where the component is being used.

### `key`

String static

Defined in `src/ui/react/src/components/buttons/button-table-edit.jsx:34`

The name which will be used as an alias of the button in the configuration.

Default: tableEdit